> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ringbee.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Sprite Sheet

> Generate a sprite sheet from video frames

<RequestExample>
  ```json Example Request theme={null}
  {
    "input": "https://example.com/video.mp4",
    "columns": 10,
    "width": 160,
    "interval": 5
  }
  ```

  ```bash File Upload theme={null}
  curl -X POST https://api.ringbee.dev/v1/pipeline/sprite-sheet \
    -H "X-API-Key: YOUR_API_KEY" \
    -F "file=@video.mp4" \
    -F "columns=10" \
    -F "width=160" \
    -F "interval=5"
  ```
</RequestExample>

| Param    | Type    | Description                                 |
| -------- | ------- | ------------------------------------------- |
| columns  | integer | Number of columns in the sprite grid        |
| width    | integer | Width of each thumbnail in pixels           |
| interval | number  | Interval in seconds between captured frames |


## OpenAPI

````yaml POST /v1/pipeline/sprite-sheet
openapi: 3.0.3
info:
  title: MediAPI
  description: >-
    Media processing API — video, audio, image, and document transformations via
    simple REST calls.
  version: 1.0.0
servers:
  - url: https://api.ringbee.dev
    description: Production
security:
  - apiKey: []
paths:
  /v1/pipeline/sprite-sheet:
    post:
      tags:
        - Pipeline
      summary: Sprite Sheet
      description: Generate a sprite sheet from video frames
      operationId: pipelineSpriteSheet
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - input
              properties:
                input:
                  type: string
                  description: Input file URL
                columns:
                  type: integer
                  description: Number of columns in the sprite grid
                width:
                  type: integer
                  description: Width of each thumbnail in pixels
                interval:
                  type: number
                  description: Interval in seconds between captured frames
                webhook_url:
                  type: string
                  description: URL to receive job completion notification
          multipart/form-data:
            schema:
              type: object
              required:
                - file
              properties:
                file:
                  type: string
                  format: binary
                  description: Upload file directly
                columns:
                  type: integer
                  description: Number of columns in the sprite grid
                width:
                  type: integer
                  description: Width of each thumbnail in pixels
                interval:
                  type: number
                  description: Interval in seconds between captured frames
                webhook_url:
                  type: string
                  description: URL to receive job completion notification
      responses:
        '202':
          description: Job accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Usage limit reached
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    JobResponse:
      type: object
      properties:
        id:
          type: string
          example: job_abc123
        status:
          type: string
          enum:
            - pending
            - processing
            - completed
            - failed
            - cancelled
          example: pending
    Error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key

````